Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 02 May 2022 10:08:54 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Dear Customer Service team,

I am unhappy to be experiencing such a disgrace customer service. I received a whatsapp notification from a Bahrain local number of which he introduced your delivery man. I was communicating and coordinating with him only to find out he couldn’t deliver my items. With no further clarification nor apologies. Secondly, one guy called me from Bahrain Centerpoint and again amazed of his voice asking me of my Name? My address? And argued with me that they do not have delivery in my area which he cannot confirm when. Why did he call me anyways? 

Such a poor customer service and on the laid time of orders it says delivery is tomorrow from the date I purchased.

Can someone look into your people that reflects your reputation and customer service?

Lastly, i want to cancel my purchases if not delivered tomorrow. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4227712